## slashem 0.0.7E7F3

=== debian/changelog ===
slashem (0.0.7E7F3-13) unstable; urgency=medium

  [ Vincent Cheng ]
  * Address gcc 15 FTBFS by building with -std=gnu17. (Closes: #1097896)
  * Update standards version to 4.7.2, no changes needed.

  [ Carles Pina i Estany ]
  * Update Catalan po-debconf translation.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 07 Sep 2025 14:40:34 -0700

slashem (0.0.7E7F3-12) unstable; urgency=medium

  * Fix FTBFS with gcc 14. (Closes: #1075515)
  * Update standards version to 4.7.0, no changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 28 Nov 2024 20:36:54 -0800

slashem (0.0.7E7F3-11) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Archive, Bug-Database.
  * Fix day-of-week for changelog entry 0.0.5E3-1.
  * Update standards version to 4.6.1, no changes needed.

  [ Bastian Germann ]
  * Replace transitional bsdmainutils with bsdextrautils.
  * Drop slashem-gtk. (Closes: #700207, #967746)

 -- Bastian Germann <bage@debian.org>  Tue, 08 Aug 2023 17:49:47 +0200

slashem (0.0.7E7F3-10) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * Import repository to salsa and update Vcs-* URLs

  [ Markus Koschany ]
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Use secure copyright Format link.
  * Work around FTBFS with GCC 10 by building with -fcommon. (Closes: #957807)
  * Override dh_missing and only list the missing files.

 -- Markus Koschany <apo@debian.org>  Fri, 25 Sep 2020 00:07:12 +0200

slashem (0.0.7E7F3-9) unstable; urgency=medium

  * Team upload.
  * Add pointer-truncation-bug-860393.patch and try to prevent the user
    interface from crashing. Thanks to Bernhard Übelacker. (Closes: #860393)
  * slashem-common: Fix Lintian error init.d-script-needs-depends-on-lsb-base.
  * Add enable-debug-symbols.patch and make the -dbgsym packages useful. Thanks
    to Bernhard Übelacker for the patch.

 -- Markus Koschany <apo@debian.org>  Sun, 30 Apr 2017 19:04:41 +0200

slashem (0.0.7E7F3-8) unstable; urgency=medium

  * Add pt_BR debconf template translation. (Closes: #811517)
  * Make the build reproducible. (Closes: #829262)
  * Update to Standards version 3.9.8.
    - Drop obsolete menu files.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 10 Jul 2016 22:41:17 -0700

slashem (0.0.7E7F3-7) unstable; urgency=medium

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Vincent Cheng ]
  * Fix broken macro causing LINUX to not be defined on Linux systems.
    (Closes: #747274)
  * Fix FTBFS with clang. (Closes: #741371)
  * Add native systemd support.
    - Factor out the recovery logic from the slashem-common init script into a
      new script /usr/lib/games/slashem/recover-all.
    - Add a slashem-common.service invoking recover-all.  This service uses
      ConditionPathExistsGlob to only launch when files exist to recover,
      avoiding any extra processes at startup in the common case.
    - Build-Depends: debhelper (>= 9.20130504) for systemd support in
      dh_installinit.
    - Changes based on Josh Triplett's patchset for nethack systemd support.
  * Update my email address.
  * Update to Standards version 3.9.5.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 11 May 2014 23:52:38 -0700

slashem (0.0.7E7F3-6) unstable; urgency=low

  * Modify debian/patches/slashem-debian.patch to link explicitly with -lm
    to fix FTBFS on hurd.
  * Add lintian override for menu-command-not-in-package in slashem-x11
    (unintentionally removed in last upload).

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 18 May 2012 21:33:20 -0700

slashem (0.0.7E7F3-5) unstable; urgency=low

  * Modify debian/patches/slashem-debian.patch to fix FTBFS on kfreebsd
    (and maybe on hurd). (Closes: #672810)
    - Workaround FTBFS by disabling optimization (on non-Linux archs).
  * Add DEP-3 patch headers to existing patches.
  * Switch to dh 7 "rules.tiny" style debian/rules.
  * Enable build hardening.
  * Remove unused lintian overrides (menu-icon-missing).

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 17 May 2012 22:26:17 -0700

slashem (0.0.7E7F3-4) unstable; urgency=low

  * Add debian/patches/fix-libpng15-ftbfs.patch to fix FTBFS with libpng 1.5.
    (Closes: #649807)
  * Replace build-depends on libpng12-dev with libpng-dev. (Closes: #662505)
  * Add build-depends on zlib1g-dev.
  * Update Format header in debian/copyright to latest DEP-5 revision.
  * Fix syntax errors caught by lintian in debian/copyright.
  * Update Standards version from 3.9.2 to 3.9.3, no changes required.
  * Update debhelper compatiblity level from 8 to 9.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 10 May 2012 17:05:05 -0700

slashem (0.0.7E7F3-3) unstable; urgency=low

  * Adopt package; change maintainer field in debian/control to:
    Debian Games Team <pkg-games-devel@lists.alioth.debian.org>.
    (Closes: #632995)
  * Add myself to uploaders.
  * Update debian/copyright to conform to DEP-5.
  * Add Vcs-* entries in debian/control.
  * Added Homepage: field in debian/control.
  * Update source format to "3.0 (quilt)".
  * Migrate existing diff to quilt (debian/patches/slashem-debian.patch).
  * Update Standards version from 3.8.3 to 3.9.2, no changes required.
  * Update debhelper compatiblity level from 7 to 8.
  * Fix existing lintian errors/warnings.
    - To fix template-uses-unsplit-choices, a versioned build dependency on
      po-debconf (>= 1.0) has been added.
    - A new patch named "spelling-error.patch", added to debian/patches/.
  * Include Danish translation of slashem's debconf template, thanks to
    Joe Dalton. (Closes: #603212)
  * Fix a small typo in slashem-x11's desktop entry file. (Closes: #626768)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 13 Jul 2011 17:40:13 -0700

slashem (0.0.7E7F3-2) unstable; urgency=low

  * New maintainer is me (Closes: #516883)

