=== debian/control ===
Source: slashem
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Cheng <vcheng@debian.org>
Build-Depends:
 bison,
 bsdextrautils,
 debhelper-compat (= 13),
 flex,
 groff-base,
 libncurses-dev,
 libpng-dev,
 libsdl1.2-dev,
 libx11-dev,
 libxaw7-dev,
 libxext-dev,
 libxpm-dev,
 libxt-dev,
 po-debconf (>= 1.0),
 x11proto-core-dev,
 zlib1g-dev
Rules-Requires-Root: binary-targets
Standards-Version: 4.7.2
Homepage: http://www.slashem.org/
Vcs-Git: https://salsa.debian.org/games-team/slashem.git
Vcs-Browser: https://salsa.debian.org/games-team/slashem

Package: slashem
Architecture: any
Depends:
 slashem-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: slashem-x11 | slashem-sdl
Description: variant of Nethack
 Super Lotsa Added Stuff Hack - Extended Magic (SLASH'EM)
 is a role-playing game where you control a single character. The
 interface and gameplay are similar in style to Rogue, ADOM, Angband
 and, of course, Nethack. You control the actions through the
 keyboard and view the world from an overhead perspective.
 .
 The problem: The Amulet of Yendor has been stolen. Not only
 that but it appears that the Wizard of Yendor (not a nice person),
 who took the amulet, is hiding in the Dungeons of Doom (not a
 friendly place).
 .
 This package contains the basic ASCII interface. For more fancy
 graphical interfaces see
  slashem-x11 - Simple graphic interface using Xaw
  slashem-sdl - Graphical interface using SDL

Package: slashem-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: debconf | debconf-2.0, ${misc:Pre-Depends}
Recommends: slashem | slashem-x11 | slashem-sdl
Replaces: slashem (<< 0.0.7E6F1-1)
Breaks: slashem (<< 0.0.7E6F1-1)
Description: files common to all slashem-packages
 This package contains the files comme to all the window ports of
 Slash'EM. You need to install at least one package containing a
 window port to use this package:
 .
  slashem - The basic ASCII interface
  slashem-x11 - Simple graphic interface using Xaw
  slashem-sdl - Graphical interface using SDL

Package: slashem-sdl
Architecture: any
Depends:
 slashem-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: variant of Nethack (SDL window port)
 Super Lotsa Added Stuff Hack - Extended Magic (SLASH'EM)
 is a role-playing game where you control a single character. The
 interface and gameplay are similar in style to Rogue, ADOM, Angband
 and, of course, Nethack. You control the actions through the
 keyboard and view the world from an overhead perspective.
 .
 The problem: The Amulet of Yendor has been stolen. Not only
 that but it appears that the Wizard of Yendor (not a nice person),
 who took the amulet, is hiding in the Dungeons of Doom (not a
 friendly place).
 .
 This package provides the SDL window port of Slash'EM

Package: slashem-x11
Architecture: any
Depends:
 slashem-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: variant of Nethack (X11 window port)
 Super Lotsa Added Stuff Hack - Extended Magic (SLASH'EM)
 is a role-playing game where you control a single character. The
 interface and gameplay are similar in style to Rogue, ADOM, Angband
 and, of course, Nethack. You control the actions through the
 keyboard and view the world from an overhead perspective.
 .
 The problem: The Amulet of Yendor has been stolen. Not only
 that but it appears that the Wizard of Yendor (not a nice person),
 who took the amulet, is hiding in the Dungeons of Doom (not a
 friendly place).
 .
 This package provides the X11 window port of Slash'EM
