=== debian/watch ===
version=4
https://sf.net/slashem/se(.+)\.tar\.gz
